## openjfx 11.0.11%2B1

=== debian/changelog ===
openjfx (11.0.11+1-3.2) unstable; urgency=medium

  * Non-maintainer upload

  [ Steve Langasek ]
  * debian/patches/64-bit-time-t.patch: don't unset _FILE_OFFSET_BITS.
    Closes: #1068159.

  [ Pushkar Kulkarni ]
  * d/patches: Patch to fix compiler errors with openjdk-21 (LP: #2053246)
    (Closes: #1057531)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 13 Apr 2024 13:01:57 +0200

openjfx (11.0.11+1-3.1) unstable; urgency=medium

  * Team upload.

  [ Wookey ]
  * Apply patch from webkit #217079 so arm64 builds again
    (Closes: #1021894)

  [ tony mancill ]
  * Declare Build-Conflicts on libstdc++-10-dev
    (See notes in #1021894)

 -- tony mancill <tmancill@debian.org>  Sat, 15 Jul 2023 20:30:26 -0700

openjfx (11.0.11+1-3) unstable; urgency=medium

  * Team upload.
  * Set NUMBER_OF_PROCESSORS via nproc to address FTBFS on s390x due to
    excessive build parallelism (Closes: #1026962)
  * Add lintian overrides for long HTML lines
  * Replace build-dep on obsolete libgl1-mesa-dev with libgl-dev
  * Freshen years in debian/copyright
  * Bump Standards-Version to 4.6.2

 -- tony mancill <tmancill@debian.org>  Tue, 07 Feb 2023 06:59:22 -0800

openjfx (11.0.11+1-2) unstable; urgency=medium

  * Team upload.
  * Add patch to address javadoc FTBFS (Closes: #1026510)

 -- tony mancill <tmancill@debian.org>  Thu, 22 Dec 2022 21:56:35 -0800

openjfx (11.0.11+1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop build-dependency on ffmpeg, openjfx isn't source-compatible with
    ffmpeg 5.0. Closes: #1004638.
  * Build-depend on g++-11, source not compatible with g++ 12.
    Closes: #1013009.
    (Both patches taken from Ubuntu, thanks to Steve Langasek)

 -- Philipp Kern <pkern@debian.org>  Sun, 16 Oct 2022 12:19:38 +0200

openjfx (11.0.11+1-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
  * Standards-Version updated to 4.6.0.1

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 03 May 2022 16:48:31 +0200

openjfx (11.0.11+0-1) unstable; urgency=medium

  * Team upload.

  [ tony mancill ]
  * Remove/revert patch to force NUM_COMPILE_THREADS=1

  [ Emmanuel Bourg ]
  * New upstream release
    - Refreshed the patches
  * Don't build the SWT module on 32-bit architectures
  * Compile WebKit when building all the packages
  * Disabled the tests (triggered by gradle-debian-helper/2.1)
  * Standards-Version updated to 4.5.1
  * Switch to debhelper level 13

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 03 Feb 2021 16:18:39 +0100
